(********************************************)
(*                                          *)
(*               KEY-SYS V1.0               *)
(*                                          *)
(********************************************)
Unit KeySys;

interface
uses Dos,Crt;

var Key   : char;
    Funct : boolean;
    CTRL  : byte;

procedure ViewKey;
procedure GetKey;

implementation

procedure ViewKey;
var reg : registers;
begin
  if keypressed then
    begin
      reg.ax := $0200;
      intr($16,reg);
      CTRL := reg.al;
      key := ReadKey;
      if key=#0 then
        begin
          key := ReadKey;
          Funct := true;
        end
      else
        Funct := false;
    end
  else Key := #0;
end;

procedure GetKey;
begin
  repeat
    ViewKey;
  until Key<>#0;
end;

end.
